SAFE(4)

NAME
safe - SafeNet crypto accelerator

SYNOPSIS
safe* at pci?

DESCRIPTION
The safe driver supports cards containing any of the following chips:

SafeNet 1141
    The original chipset. Supports DES, Triple-DES, AES, MD5, and SHA-1 symmetric crypto operations, RNG, public key operations, and full IPsec packet processing.

SafeNet 1741
    A faster version of the 1141.

The safe driver registers itself to accelerate DES, Triple-DES, AES, MD5-HMAC, and SHA1-HMAC operations for ipsec(4).

Additionally, the driver provides input to the random(4) subsystem.

DIAGNOSTICS

safe0: Reduce max DMA size to N words for rev X.Y The 1.0 silicon has major pci(4) bugs and may lock the bus completely. There is no easy workaround.

SEE ALSO
crypt(3), intro(4), ipsec(4), pci(4), random(4), crypto(9)

BUGS
Early silicon revisions can wedge the PCI bus.